> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate TCS

> Calculate TCS collectible on payments by providing the relevant details.



## OpenAPI

````yaml api-reference/tds/calculator/openapi.json POST /tcs/calculator
openapi: 3.0.0
info:
  title: calculator
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tcs/calculator:
    post:
      tags:
        - TCS Payments
      summary: Calculate TCS on Payments
      parameters:
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API Version
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tcs.calculator.request
                collectee_type:
                  description: >-
                    Type of Collectee Possible Values: individual, huf, company,
                    firm, trust, local_authority, body_of_individuals,
                    association_of_persons, artificial_judicial_person
                  type: string
                is_pan_available:
                  description: >-
                    Is the PAN available with the deductee? Possible Values:
                    true, or false,
                  type: boolean
                residential_status:
                  description: >-
                    Residential Status of the deductee. Possible Values:
                    resident or non_resident
                  type: string
                is_206cca_applicable:
                  type: boolean
                  description: >-
                    Whether the deductee is a specified person u/s 206cca.
                    Possible Values: true or false
                is_pan_operative:
                  description: >-
                    Whether the PAN of the deductee is Operative. Possible
                    Values: true or false
                  type: boolean
                nature_of_payment:
                  description: >-
                    Type of the payment being collected. Refer to Nature of
                    payments for enums
                  type: string
                payment_amount:
                  description: Payment amount inclusive of GST (in INR)
                  type: number
                payment_date:
                  description: Date of payment in EPOCH
                  type: number
              required:
                - '@entity'
                - collectee_type
                - is_pan_available
                - residential_status
                - is_206cca_applicable
                - is_pan_operative
                - nature_of_payment
                - payment_amount
                - payment_date
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: true
                  residential_status: resident
                  is_206cca_applicable: true
                  is_pan_operative: true
                  nature_of_payment: foreign_remittance_for_other_purposes
                  payment_amount: 895345
                  payment_date: 1708926739000
              200 TCS Calculated for 206C(1G):
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: true
                  residential_status: resident
                  is_206cca_applicable: true
                  is_pan_operative: true
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 775000
                  payment_date: 1698777000000
              200 TCS Calculated for 206C(1F):
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: company
                  is_pan_available: true
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: true
                  nature_of_payment: sale_of_motor_vehicle
                  payment_amount: 1250000
                  payment_date: 1685577600000
              200 TCS Calculated for 206C(1):
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: true
                  residential_status: resident
                  is_206cca_applicable: true
                  is_pan_operative: true
                  nature_of_payment: sale_of_tendu_leaves
                  payment_amount: 500000
                  payment_date: 1706639400000
              200 TCS Calculated for 206C(1H):
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: true
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: true
                  nature_of_payment: sale_of_goods
                  payment_amount: 4500000
                  payment_date: 1707244200000
              400 Request body not valid:
                value:
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Missing collectee type:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Invalid collectee type:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: person
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Missing pan available:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Missing residential status:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Invalid residential status:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: foreigner
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Missing nature of payment:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  payment_amount: 695000
                  payment_date: 1685577600000
              422 Payment amount cannot be negative:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: -695000
                  payment_date: 1685577600000
              422 Missing purchase amount:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_date: 1685577600000
              422 Missing payment date:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: foreign_flight_tickets
                  payment_amount: 695000
              500 Reference data not found:
                value:
                  '@entity': in.co.sandbox.tcs.calculator.request
                  collectee_type: individual
                  is_pan_available: false
                  residential_status: resident
                  is_206cca_applicable: false
                  is_pan_operative: false
                  nature_of_payment: tender_fees
                  payment_amount: 695000
                  payment_date: 1685577600000
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      collectee_type:
                        type: string
                      is_pan_available:
                        type: boolean
                      is_206cca_applicable:
                        type: boolean
                      is_pan_operative:
                        type: boolean
                      residential_status:
                        type: string
                      section:
                        type: string
                      code:
                        type: string
                      category:
                        type: string
                      nature_of_payment:
                        type: string
                      payment_amount:
                        type: integer
                      payment_date:
                        type: integer
                      collection_rate:
                        type: integer
                      threshold_amount:
                        type: integer
                      due_date:
                        type: integer
                      collection_amount:
                        type: integer
              examples:
                200 - Success:
                  value:
                    code: 200
                    timestamp: 1685577600000
                    transaction_id: 1eff4b29-c622-4486-8981-7caaea822e3d
                    data:
                      '@entity': in.co.sandbox.tcs.calculator.response
                      collectee_type: individual
                      is_pan_available: true
                      is_206cca_applicable: true
                      is_pan_operative: true
                      residential_status: resident
                      section: 206C(1G)
                      code: 6CQ
                      category: >-
                        remittance_under_lrs_for_purpose_other_than_for_purchase_of_overseas_tour_package_or_for_education_loan_taken_from_financial_institution_mentioned_under_section_80e
                      nature_of_payment: foreign_remittance_for_other_purposes
                      payment_amount: 895345
                      payment_date: 1708926739000
                      collection_rate: 20
                      threshold_amount: 700000
                      due_date: 1709749800000
                      collection_amount: 39069
                200 TCS Calculated for 206C(1G):
                  value:
                    code: 200
                    timestamp: 1763633943000
                    transaction_id: db11de65-e36a-4b7a-ba7a-6590cabe5154
                    data:
                      '@entity': in.co.sandbox.tcs.calculator.response
                      deductee_type: individual
                      is_pan_available: true
                      is_206cca_applicable: true
                      is_pan_operative: true
                      residential_status: resident
                      section: 206C(1G)
                      code: 6CO
                      category: overseas_tour_program_package
                      nature_of_payment: foreign_flight_tickets
                      payment_amount: 775000
                      payment_date: 1698777000000
                      collection_rate: 20
                      threshold_amount: 700000
                      due_date: 1701887400000
                      collection_amount: 15000
                200 TCS Calculated for 206C(1F):
                  value:
                    code: 200
                    timestamp: 1763633943000
                    transaction_id: 5f196dde-6e2c-4b73-8cc2-70ae87c51e66
                    data:
                      '@entity': in.co.sandbox.tcs.calculator.response
                      deductee_type: individual
                      is_pan_available: true
                      is_206cca_applicable: false
                      is_pan_operative: true
                      residential_status: resident
                      section: 206C(1F)
                      code: 6CL
                      category: motor_vehicle_any_mode_of_payment
                      nature_of_payment: sale_of_motor_vehicle
                      payment_amount: 1250000
                      payment_date: 1685577600000
                      collection_rate: 1
                      threshold_amount: 1000000
                      due_date: 1688668200000
                      collection_amount: 12500
                200 TCS Calculated for 206C(1):
                  value:
                    code: 200
                    timestamp: 1763633943000
                    transaction_id: c01778c3-a3f8-4f4b-863d-907f2d91b49c
                    data:
                      '@entity': in.co.sandbox.tcs.calculator.response
                      deductee_type: individual
                      is_pan_available: true
                      is_206cca_applicable: true
                      is_pan_operative: true
                      residential_status: resident
                      section: 206C(1)
                      code: 6CI
                      category: tendu_leaves
                      nature_of_payment: sale_of_tendu_leaves
                      payment_amount: 500000
                      payment_date: 1706639400000
                      collection_rate: 5
                      threshold_amount: 0
                      due_date: 1707244200000
                      collection_amount: 25000
                200 TCS Calculated for 206C(1H):
                  value:
                    code: 200
                    timestamp: 1763633943000
                    transaction_id: 5c282d5f-2635-46c9-a299-9d529bab01c3
                    data:
                      '@entity': in.co.sandbox.tcs.calculator.response
                      deductee_type: company
                      is_pan_available: true
                      is_206cca_applicable: false
                      is_pan_operative: true
                      residential_status: resident
                      section: 206C(1H)
                      code: 6CR
                      category: sale_of_goods
                      nature_of_payment: sale_of_goods
                      payment_amount: 4500000
                      payment_date: 1707244200000
                      collection_rate: 0.1
                      threshold_amount: 5000000
                      due_date: 1709749800000
                      collection_amount: 0
        '400':
          description: 400 - Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
              examples:
                400 Request body not valid:
                  value:
                    transaction_id: b19fb5c2-b88d-4436-b226-d388d9a01740
                    code: 400
                    message: Request body not valid
                    timestamp: 1703168424000
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
              examples:
                422 Missing collectee type:
                  value:
                    transaction_id: 28c46f8c-fffb-40cf-b917-0b496feb36b4
                    code: 422
                    message: Missing collectee type
                    timestamp: 1703168441000
                422 Invalid collectee type:
                  value:
                    transaction_id: 5139807c-9f9c-4e87-83b7-4d60ce0c8ac0
                    code: 422
                    message: Invalid collectee type
                    timestamp: 1703168454000
                422 Missing pan available:
                  value:
                    transaction_id: 6616acff-34c0-4c73-b526-5715a8a79069
                    code: 422
                    message: Missing pan available
                    timestamp: 1703168467000
                422 Missing residential status:
                  value:
                    transaction_id: cb7c414d-1df3-47d9-a284-14598f82d78b
                    code: 422
                    message: Missing residential status
                    timestamp: 1703168499000
                422 Invalid residential status:
                  value:
                    transaction_id: 598587c6-a5ae-43d3-b2a5-c050afdf5b99
                    code: 422
                    message: Invalid residential status
                    timestamp: 1703168517000
                422 Missing nature of payment:
                  value:
                    transaction_id: a2d8cc6c-3af4-4b7e-9848-9283353e3a31
                    code: 422
                    message: Missing nature of payment
                    timestamp: 1703170833000
                422 Payment amount cannot be negative:
                  value:
                    transaction_id: 97c41038-162e-49a7-8bb2-d8b64542f0bf
                    code: 422
                    message: payment amount cannot be negative
                    timestamp: 1703170878000
                422 Missing purchase amount:
                  value:
                    transaction_id: 70490c3b-477f-4537-b5cb-44ba7d9b612a
                    code: 422
                    message: Missing payment amount
                    timestamp: 1703170910000
                422 Missing payment date:
                  value:
                    transaction_id: 8d6f398b-0afe-4303-944e-023673a65151
                    code: 422
                    message: Missing payment date
                    timestamp: 1703170938000
        '500':
          description: 500 - Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction_id:
                    type: string
                  code:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: integer
              examples:
                500 Reference data not found:
                  value:
                    transaction_id: 03e35453-dcec-4b33-a9dc-0c4714c9efba
                    code: 500
                    message: Reference data not found
                    timestamp: 1703170954000

````